# Support Guidelines

GEOS-Chem support is maintained by the **GEOS-Chem Support Team
(GCST)**, which is based jointly at Harvard University and Washington University in St. Louis.

We track bugs, user questions, and feature requests through **[GitHub issues](https://www.youtube.com/watch?v=dFBhdotYVf8)**. Please help out as you can in response to issues and user questions.

## How to report a bug
We use GitHub to track issues. To report a bug, **[open a new issue](https://github.com/geoschem/geos-chem/issues/new/choose)**. Please include your name, institution, and all relevant information, such as simulation log files and instructions for replicating the bug.

## Where can I ask for help?
We use GitHub issues to support user questions. To ask a question, **[open a new issue](https://github.com/geoschem/geos-chem/issues/new/choose)** and select the question template. Please include your name and institution in the issue.

## What type of support can I expect?

We will be happy to assist you in resolving bugs and technical issues that arise when compiling or running GEOS-Chem.  User support and outreach is an important part of our mission to support the [International GEOS-Chem User Community](https://geoschem.github.io/people.html). 

Even though we can assist in several ways, we cannot possibly do everything.  We rely on GEOS-Chem users being resourceful and willing to try to resolve problems on their own to the greatest extent possible.

If you have a science question rather than a technical question, you should contact the relevant [GEOS-Chem Working Group(s)](https://geoschem.github.io/working-groups.html) directly. But if you do not know whom to ask, you may open a new issue (See "Where can I ask for help" above) and we will be happy to direct your question to the appropriate person(s).

## How to submit changes
Please see **[Contributing Guidelines](https://geos-chem.readthedocs.io/en/stable/help-and-reference/CONTRIBUTING.html)**.

## How to request an enhancement
Please see **[Contributing Guidelines](https://geos-chem.readthedocs.io/en/stable/help-and-reference/CONTRIBUTING.html)**.
